Page MenuHomePhabricator

Add localized Wikipedia wordmark to the Silesian (szl) mobile frontend
Open, NormalPublic

Description

Hi, I'd like to request including the localized Wikipedia wordmark in the Silesian version of the mobile frontend. The wordmark is available here:

https://commons.wikimedia.org/wiki/File:Wikipedia_wordmark-szl.svg

Thank you!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2019, 12:20 PM

@Uostofchuodnego I've uploaded a valid version of the SVG file.

ovasileva triaged this task as Normal priority.Sep 17 2019, 3:28 PM
ovasileva added a project: Readers-Web-Backlog.
ovasileva moved this task from Needs triage to Triaged on the Mobile board.
Jdlrobson added a subscriber: Jdlrobson.

Config only change via a SWAT window. Patch welcomed.

$wgMinervaCustomLogos = [
        'copyright' => 'https://en.m.wikipedia.org/static/images/mobile/copyright/wikipedia-wordmark-en.svg',
        'copyright-width' => 100,
         'copyright-height' => 18,
];

Change 538408 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Add localized Wikipedia wordmark for szlwiki

https://gerrit.wikimedia.org/r/538408

Change 538597 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Add localized Wikipedia wordmark for szlwiki

https://gerrit.wikimedia.org/r/538597

Ammarpad has begun working on it.

Change 538408 merged by jenkins-bot:
[operations/mediawiki-config@master] Add localized Wikipedia wordmark for szlwiki

https://gerrit.wikimedia.org/r/538408

Mentioned in SAL (#wikimedia-operations) [2019-09-23T18:30:55Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/wikipedia-wordmark-szl.svg: SWAT: d397f5f: Add localized Wikipedia wordmark for szlwiki (T233104) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-09-23T18:35:23Z] <urbanecm@deploy1001> Synchronized wmf-config/VariantSettings.php: SWAT: be2f9d4: Add localized Wikipedia wordmark for szlwiki (T233104) (duration: 00m 55s)

I believe the lack of initial slash in VariantSettings.php is guilty of this.

'copyright' => 'static/images/mobile/copyright/wikipedia-wordmark-szl.svg',

Change 538911 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Typo: Add a slash to szlwiki for wgMinervaCustomLogos

https://gerrit.wikimedia.org/r/538911

Change 538930 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Revert "Add localized Wikipedia wordmark for szlwiki"

https://gerrit.wikimedia.org/r/538930

Change 538930 merged by Urbanecm:
[operations/mediawiki-config@master] Revert "Add localized Wikipedia wordmark for szlwiki"

https://gerrit.wikimedia.org/r/538930

Change 538911 abandoned by Urbanecm:
Typo: Add a slash to szlwiki for wgMinervaCustomLogos

https://gerrit.wikimedia.org/r/538911

Mentioned in SAL (#wikimedia-operations) [2019-09-25T07:27:20Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: c761ec1: Revert "Add localized Wikipedia wordmark for szlwiki" (T233104) (duration: 01m 16s)

Mentioned in SAL (#wikimedia-operations) [2019-09-25T07:28:40Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/: c761ec1: Revert "Add localized Wikipedia wordmark for szlwiki" (T233104) (duration: 01m 04s)

Change 539052 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add wgMinervaCustomLogos for szlwiki

https://gerrit.wikimedia.org/r/539052

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptWed, Sep 25, 5:04 PM
Urbanecm moved this task from Working on to To deploy on the User-Urbanecm board.Wed, Sep 25, 6:21 PM

@Jdlrobson sorry for the delay. The SVG looks good. I've added a higher resolution PNG to the task description.

Change 539052 merged by jenkins-bot:
[operations/mediawiki-config@master] Add wgMinervaCustomLogos for szlwiki

https://gerrit.wikimedia.org/r/539052

Mentioned in SAL (#wikimedia-operations) [2019-09-26T11:07:48Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/wikipedia-wordmark-szl.png: SWAT: 96bba4c: Add wgMinervaCustomLogos for szlwiki (T233104; 1/3) (duration: 01m 08s)

Mentioned in SAL (#wikimedia-operations) [2019-09-26T11:13:06Z] <urbanecm@deploy1001> Synchronized static/images/mobile/copyright/wikipedia-wordmark-szl.svg: SWAT: 96bba4c: Add wgMinervaCustomLogos for szlwiki (T233104; 2/3) (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2019-09-26T11:16:26Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 96bba4c: Add wgMinervaCustomLogos for szlwiki (T233104; 3/3) (duration: 01m 05s)

Urbanecm closed this task as Resolved.Thu, Sep 26, 11:16 AM
Masumrezarock100 added a comment.EditedThu, Sep 26, 4:49 PM

Looks all good. I went ahead and asked an admin to full protect the file on Commons.

Jdlrobson reopened this task as Open.Thu, Sep 26, 5:04 PM
Jdlrobson reassigned this task from Urbanecm to alexhollender.

Our designer should check the result and resolve this ticket.

Looks all good. I went ahead and asked an admin to full protect the file on Commons.

Am not sure why this is necessary. We don't serve the image directly from Commons so this is not a source of vandalism if you are worried about that :-).

Masumrezarock100 added a comment.EditedThu, Sep 26, 10:52 PM

Am not sure why this is necessary. We don't serve the image directly from Commons so this is not a source of vandalism if you are worried about that :-).

I know. But this logo is being used on sale wiki's main page (see it's Global usage). I am done working with the SVG anyway, and it doesn't look like any other work on the file is necessary. So why thought why not.

@Jdlrobson the size and alignment look a bit off (assuming I'm supposed to be checking production?). I haven't taken a close look at how we render logos in the header so feel free to pass this back to me if you want more notes before working more on it.

Yup, it looks a bit off. Who's going to work on the SVG?

Jdlrobson removed Jdlrobson as the assignee of this task.Mon, Sep 30, 5:08 PM

The dimensions appear to be the issue here.
Naturally the SVG is 97x18

@alexhollender @Masumrezarock100 just wanted an update with this task. There is a logo but we're not happy with it. If we want to change it we should probably open a new bug or repurpose this one as this bug is confusing as written.

Options at this point include

  • accepting status quo
  • reverting the changes that have been made so far
  • describing the problems with the current logo and prioritise/find a volunteer to help get this done.
Masumrezarock100 added a comment.EditedTue, Oct 8, 4:39 PM

Regarding it's resolution, we could easily change it if we add width and height parameter to SVG tag. English Wikipedia's wordmark has a viewport of 116x18. But I am afraid changing it's dimension might be a little too hard, and I'd rather let an experienced designer handle it.
@Jdlrobson Feel free to.

My understanding is that the width and height don't need to be changed in the SVG itself but the config.
ie. the numbers in https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/538408/8/wmf-config/VariantSettings.php,unified